# $Revision: 1.37.2.29 $, $Date: 2008/02/19 23:26:32 $
# TOOD
# - build time errors that are ignored:
#   grep: /lib/modules/$(uname -r)/build/include/linux/usb.h: No such file or directory
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace tools
%bcond_without	smp		# don't build SMP module
%bcond_without	up		# don't build UP module
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		pname	ndiswrapper
Summary:	Tools to "wrap around" NDIS drivers
Summary(pl):	Narzdzia "opakowujce" sterowniki NDIS
Name:		%{pname}%{_alt_kernel}
Version:	1.15
Release:	63
Epoch:		1
License:	GPL
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/ndiswrapper/%{pname}-%{version}.tar.gz
# Source0-md5:	0ca5bcab8e9b7b0d40f2e886f1fbaa45
URL:		http://ndiswrapper.sourceforge.net/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 2.6.8}
BuildRequires:	rpmbuild(macros) >= 1.217
%endif
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Some wireless LAN vendors refuse to release hardware specifications or
drivers for their products for operating systems other than Microsoft
Windows. The ndiswrapper project makes it possible to use such
hardware with Linux by means of a loadable kernel module that "wraps
around" NDIS (Windows network driver API) drivers.

The main package contains the userspace tools for ndiswrapper kernel
module.

%description -l pl
Niektrzy producenci bezprzewodowych kart sieciowych nie udostpniaj
specyfikacji lub sterownikw dla swoich produktw, dla systemw innych
ni Microsoft Windows. Projekt ndiswrapper umoliwia uycie takiego
sprztu w systemie Linux, dostarczajc modu jdra ktry "owija"
sterowniki NDIS (API sterownikw sieciowych w Windows).

Gwny pakiet zawiera narzdzia przestrzeni uytkownika dla
ndiswrappera.

%package -n kernel%{_alt_kernel}-net-ndiswrapper
Summary:	Loadable Linux kernel module that "wraps around" NDIS drivers
Summary(pl):	Modu jdra Linuksa "owijajcy" sterowniki NDIS
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel} = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{epoch}:%{version}-%{release}
Requires:	dev >= 2.7.7-10

%description -n kernel%{_alt_kernel}-net-ndiswrapper
Some wireless LAN vendors refuse to release hardware specifications or
drivers for their products for operating systems other than Microsoft
Windows. The ndiswrapper project makes it possible to use such
hardware with Linux by means of a loadable kernel module that "wraps
around" NDIS (Windows network driver API) drivers.

This package contains Linux kernel module.

%description -n kernel%{_alt_kernel}-net-ndiswrapper -l pl
Niektrzy producenci bezprzewodowych kart sieciowych nie udostpniaj
specyfikacji lub sterownikw dla swoich produktw, dla systemw innych
ni Microsoft Windows. Projekt ndiswrapper umoliwia uycie takiego
sprztu w systemie Linux, dostarczajc modu jdra ktry "owija"
sterowniki NDIS (API sterownikw sieciowych w Windows).

Ten pakiet zawiera modu jdra Linuksa.

%package -n kernel%{_alt_kernel}-smp-net-ndiswrapper
Summary:	Loadable Linux SMP kernel module that "wraps around" NDIS drivers
Summary(pl):	Modu jdra Linuksa SMP "owijajcy" sterowniki NDIS
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{epoch}:%{version}-%{release}
Requires:	dev >= 2.7.7-10

%description -n kernel%{_alt_kernel}-smp-net-ndiswrapper
Some wireless LAN vendors refuse to release hardware specifications or
drivers for their products for operating systems other than Microsoft
Windows. The ndiswrapper project makes it possible to use such
hardware with Linux by means of a loadable kernel module that "wraps
around" NDIS (Windows network driver API) drivers.

This package contains Linux SMP kernel module.

%description -n kernel%{_alt_kernel}-smp-net-ndiswrapper -l pl
Niektrzy producenci bezprzewodowych kart sieciowych nie udostpniaj
specyfikacji lub sterownikw dla swoich produktw, dla systemw innych
ni Microsoft Windows. Projekt ndiswrapper umoliwia uycie takiego
sprztu w systemie Linux, dostarczajc modu jdra ktry "owija"
sterowniki NDIS (API sterownikw sieciowych w Windows).

Ten pakiet zawiera modu jdra Linuksa SMP.

%prep
%setup -q -n %{pname}-%{version}

%build
%if %{with userspace}
%{__make} -C utils \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -DUTILS_VERSION=\\\"\$(UTILS_VERSION)\\\""
%endif

%if %{with kernel}
cd driver
# kernel module(s)
for cfg in %{?with_dist_kernel:%{?with_smp:smp} up}%{!?with_dist_kernel:nondist}; do
    if [ ! -r "%{_kernelsrcdir}/config-$cfg" ]; then
	exit 1
    fi
    install -d o/include/linux
    ln -sf %{_kernelsrcdir}/config-$cfg o/.config
    ln -sf %{_kernelsrcdir}/Module.symvers-$cfg o/Module.symvers
    ln -sf %{_kernelsrcdir}/include/linux/autoconf-$cfg.h o/include/linux/autoconf.h
    %{__make} -j1 -C %{_kernelsrcdir} O=$PWD/o prepare scripts

    %{__make} x86_64_stubs gen_exports \
	KSRC=. \
	KVERS="%{_kernel_ver}" \
	%{?x8664:CONFIG_X86_64=y}
    %{__make} -C %{_kernelsrcdir} clean \
        RCS_FIND_IGNORE="-name '*.ko' -o" \
        M=$PWD O=$PWD/o \
        %{?with_verbose:V=1}
    %{__make} -C %{_kernelsrcdir} modules \
        RCS_FIND_IGNORE="-name '*.ko' -o" \
        M=$PWD O=$PWD/o \
        %{?with_verbose:V=1}
     mv ndiswrapper{,-$cfg}.ko
done
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d $RPM_BUILD_ROOT{/sbin,%{_sysconfdir}/ndiswrapper,%{_sbindir}}
install utils/loadndisdriver \
	$RPM_BUILD_ROOT/sbin
install utils/{ndiswrapper,ndiswrapper-buginfo} \
	$RPM_BUILD_ROOT%{_sbindir}
%endif

%if %{with kernel}
cd driver
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/misc
install ndiswrapper-%{?with_dist_kernel:up}%{!?with_dist_kernel:nondist}.ko \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/ndiswrapper.ko
%if %{with smp} && %{with dist_kernel}
install ndiswrapper-smp.ko \
        $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/ndiswrapper.ko
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-ndiswrapper
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-ndiswrapper
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-net-ndiswrapper
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-net-ndiswrapper
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README
%dir %{_sysconfdir}/ndiswrapper
%attr(755,root,root) /sbin/*
%attr(755,root,root) %{_sbindir}/*
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-net-ndiswrapper
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/ndiswrapper.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-net-ndiswrapper
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/ndiswrapper.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ndiswrapper.spec,v $
Revision 1.37.2.29  2008/02/19 23:26:32  glen
- release 63

Revision 1.37.2.28  2008-02-15 01:29:33  glen
- use kernel vermagic in deps

Revision 1.37.2.27  2008-02-12 11:01:11  glen
- release 61 (kernel-2.6.16.60-4)

Revision 1.37.2.26  2008-01-28 09:33:20  glen
- rel 60 (kernel-2.6.16.60-1)

Revision 1.37.2.25  2008-01-21 08:28:15  glen
- rel 59 (2.6.16.59-2)

Revision 1.37.2.24  2008-01-18 12:26:08  glen
- rel 58 (2.6.16.58-1)

Revision 1.37.2.23  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.37.2.22  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.37.2.21  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.37.2.20  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.37.2.19  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.37.2.18  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.37.2.17  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.37.2.16  2007/10/01 21:25:45  glen
- rel 54

Revision 1.37.2.15  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.37.2.14  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.37.2.13  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.37.2.12  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.37.2.11  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.37.2.10  2007/04/25 22:11:37  glen
- rel 6 (kernel 2.6.16.49)

Revision 1.37.2.9  2007/03/27 22:17:58  glen
- rel 5 (kernel 2.6.16.45)

Revision 1.37.2.8  2007/03/16 18:22:25  glen
- rel 4

Revision 1.37.2.7  2007/03/15 23:13:06  glen
- up bcond files fix

Revision 1.37.2.6  2007/01/23 18:29:51  hawk
- release 3

Revision 1.37.2.5  2006/12/08 13:49:19  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 2

Revision 1.37.2.4  2006/12/05 08:20:27  hawk
- fix compilation on amd64

Revision 1.37.2.3  2006/11/23 21:49:01  shadzik
- last version that builds on AC is 1.15, so use it
- removed patch0, usb_owner is managed otherwise (should work without the patch)

Revision 1.37.2.2  2006/11/23 19:13:32  hawk
- release 7

Revision 1.37.2.1  2006/10/14 08:54:19  adamg
- force -j1 in make scripts
- make the spec alt_kernel aware
- make it buildable against kernel >= 2.6.16

Revision 1.37  2006/03/17 22:03:47  glen
- rel 6

Revision 1.36  2006/03/11 12:26:38  arekm
- rel 5

Revision 1.35  2006/02/11 13:52:53  arekm
- rel 4

Revision 1.34  2006/02/05 16:22:18  areq
- new way of modules build

Revision 1.33  2006/01/26 09:49:23  arekm
- rel 3

Revision 1.32  2006/01/12 19:19:53  arekm
- rel 2

Revision 1.31  2006/01/01 16:12:47  arekm
- up to 1.7 by Łukasz Kieś

Revision 1.30  2005/10/08 21:11:45  areq
- 1.4

Revision 1.29  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.28  2005/06/15 06:09:01  ankry
- rel. 2

Revision 1.27  2005/06/15 06:04:23  qboosh
- fixed build on builders running Linux 2.4
- added missing verbose bcond

Revision 1.26  2005/06/15 00:35:38  romke
- up to version 1.2, STBR

Revision 1.25  2005/05/24 08:56:59  pluto
- R:rpmbuild(macros) updated.

Revision 1.24  2005/05/24 08:55:00  pluto
- fix build system instead of req. invalid hardcoded symbols.
  (hints: template-kernel-module.spec).

Revision 1.23  2005/05/21 16:15:19  averne
- rel 2

Revision 1.22  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.21  2005/02/08 07:22:01  kolodko
- added /usr/sbin/ndiswrapper

Revision 1.20  2005/02/05 19:33:24  qboosh
- now builds on amd64

Revision 1.19  2005/02/05 09:37:55  krolik
- up to ver. 1.0
- works fine for me, STBR

Revision 1.18  2004/11/26 18:30:56  saq
- upgrade from a mislabelled rc version to final needs an epoch

Revision 1.17  2004/11/26 04:59:40  troll
- updated MD5

Revision 1.16  2004/11/25 15:55:52  troll
- update to 0.12 final by Lukasz Masko <ed yen.ipipan.waw.pl>

Revision 1.15  2004/11/21 22:09:06  troll
- updated to 0.12rc3 (by ukasz Mako <ed at yen.ipipan.waw.pl>

Revision 1.14  2004/11/15 18:10:51  jpc
- up to 0.12rc1 (by Lukasz Masko)

Revision 1.13  2004/10/26 11:39:35  havner
- 0.11 + cvs update (by masko at ipipan dot waw dot pl)

Revision 1.12  2004/08/21 20:15:43  havner
- rel 2

Revision 1.11  2004/08/11 09:17:18  pluto
- prereq/req fixed, cosmetics.

Revision 1.10  2004/08/07 15:59:02  adamg
- updated to 0.9 (needs tests)

Revision 1.9  2004/07/04 18:56:32  pluto
- updated to 0.8 (many bugfixes, support for more chipsets/cards).

Revision 1.8  2004/05/21 10:36:54  pluto
- 2.6.6 complaint.

Revision 1.7  2004/04/24 12:25:26  troll
- updated to 0.7

Revision 1.6  2004/04/10 21:24:41  arekm
- fix rel req

Revision 1.5  2004/04/10 21:22:45  arekm
- fixed build

Revision 1.4  2004/03/30 17:50:26  qboosh
- cleanups/fixes/unifications

Revision 1.3  2004/03/29 21:01:32  jpc
- polish summary in subpackages missed '(pl)'

Revision 1.2  2004/03/29 20:24:14  ankry
- missing pl translations, summary & description fixes, TODO added

Revision 1.1  2004/03/29 19:17:22  jpc
- initial PLD import (spec by Przemek Biaek)
